Raccourcis : Contenu - rubriques - sous rubriques
EN FR

Piste: 1.0.7

Wiki: Plan du site - Derniers changements - Back link

Jelix 1.0.7

Sortie le 02/01/2009 : svn 1263.

Mise à jour depuis Jelix 1.0.6

Cette version corrige quelques bugs sans gravité. Vous pouvez mettre à jour jelix sans soucis.

  • remplacer le répertoire lib de jelix par celui contenu dans le paquet jelix 1.0.7.
  • supprimer tous les fichiers dans le répertoire temp/

Améliorations

  • Support de la clause LIMIT sur jDbPDOConnection avec sqlite (#727)
  • amélioration de la sécurité : ajout d'un paramètre de configuration 'unusedModules' permettant de lister les modules non installés/non utilisés par l'application, ainsi ils ne seront pas accessible depuis le web (comme pour untrustedModules), mais aussi ne seront pas utilisés par les composants de jelix comme jEvents.

Corrections

  • jCoordinator: boucle infinie sur une exception provoquées dans le constructeur d'une réponse (#749)
  • On ne pouvait plus exécuter une action en ligne de commande à cause d'une erreur fatale (#725)
  • jFile::removeDir échouait sous Windows (#733)
  • la commande aclgroup provoquait une erreur avec l'utilisation de postgresql, lors de la récupération de l'id du nouveau groupe (#738)
  • jForms:
    • jForms::saveControlToDao : le profil jDb indiqué n'était pas utilisé (#722)
    • jForms : la vérification coté serveur d'un <input type=“url”> ne fonctionnait pas (#743)
    • jForms : une valeur “0” cause la sélection par defaut du control/item (#755,#757)
    • jForms: la verification côté client d'un control secret ne fonctionnait pas (#751)
  • jDaoConditions: des groupes vides provoquaient des erreurs de syntaxe SQL (#724)
  • jDbTools/mysql : erreur sql lors de l'appel à getFieldList lorsque le nom contenait un caractère comme '-' (#795).
  • Mauvais chemin d'images à l'installation check_install.tpl (#748)
  • double / dans les chemins générées par les selecteurs de locale (#758)
  • Les réponses RSS/Atom contenaient des commentaires inutiles
  • jAuth : mauvais paramètre dans l'évènement AuthUpdateUser
  • Il n'y avait pas de support de E_DEPRECATED dans le gestionnaire d'erreur (#761)

fr/changelog/1.0.7.txt · Dernière modification: 2009/01/02 14:17 par laurent
Fils rss des changements récents dans le wiki Creative Commons License